
''Author      :  Hemesh
''**********************************Remarks************************************************
'' Class Name :  IDataObject
''Modifed On : 13/06/2006
''Modified By : Ajay Tiwari
''Remarks :Interface which all DO Need to implement
'' That is the minimum functions and Properties one Custom Control Would have 
''However Defination of the Properties and Methods could Be Variable from Control to Control
''The Prperty like IsDirty, IsNew, IsValid  etc

''AT : FUNCTIONS LISTED IN THE DEMO FORM HAS BEEN TESTED. 

''LS Final Modification 30Aug03

''*****************************************************************************************

Imports System.ComponentModel
Imports System.Xml



Public Interface IDataObject

#Region "Events"

    Event PropertychangedEvent As PropertyChangedEventHandler   'Event will raise when any property will be changed.
    Event RemoveMe(ByVal o As Object, ByVal e As EventArgs)

#End Region


#Region "Properties"

    ReadOnly Property IsNew() As Boolean
    Property IsDirty() As Boolean
    Property ID() As Integer
    Property IsDeleted() As Boolean

    Property IsSelected() As Boolean
    Property IsSystem() As Boolean
    Property IsPartOfCollection() As Boolean
    ReadOnly Property UniqueIdentifier() As String
    ReadOnly Property UniqueID() As String



#End Region


#Region "Methods"

    Function GetEnumValue(ByVal enm As [Enum]) As Object

    'Function XMLToDO(ByVal xmlReader As XmlTextReader) As Hashtable
    'Function DOToXML(Optional ByVal xmlwr As XmlWriter = Nothing, Optional ByVal strPropName As String = Nothing) As String

    Sub SetUniqueIdentifier()
#End Region

End Interface
 

